#
# spec file for package chan_mobile (Version 1.4.11)
#
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel asterisk asterisk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv irqbalance kernel-default klogd krb5 less libacl libattr libcom_err libgcc41 libgsm libgsm-devel libidn libidn-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libogg libpri libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio limal limal-bootloader limal-perl linux-kernel-headers m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed spandsp speex speex-devel strace sysvinit tar tcpd texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zaptel zaptel-kmp-default zlib zlib-devel

BuildRequires: libpri >= 1.4.1

Name:           chan_mobile
Version:        1.4.11
Release:        1.135
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asterisk asterisk-devel bluez-libs
Group:          Productivity/Telephony/Servers
Summary:        Bluetooth Mobile Device channel driver
Source:		%{name}-%{version}.tar.gz

%description
Bluetooth Mobile Device channel driver

Dave Bowerman <david.bowerman@gmail.com>


%prep
%setup  -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/asterisk
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules
mkdir -p %{buildroot}/%{_docdir}/%{name}
%{__make} install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
cp chan_mobile.txt %{buildroot}/%{_docdir}/%{name}


%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/chan_mobile.txt
%{_libdir}/asterisk/modules/chan_mobile.so
/etc/asterisk/mobile.conf
